Subject: Ticket Assigned - I Returned Item & didn't Received the Money
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 05 Dec 2021 07:29:41 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I Returned Item & didn't Received the Money Helo Max,
According to the above-mentioned subject, I did an order in 27 Sep. 2021 with No. ( 6355606199 ) and i returned two items in 12 Oct. 2021 with No. (1001451117 ) but till now i didn't received the money, i called MAX many times and i chatted with them many times & no solutions, this is a very bad handling, What is the solution now ?

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3365049